accrue.analysis.domination

## Class DominationPass

- java.lang.Object
- - polyglot.frontend.AbstractPass
  - - accrue.analysis.interprocanalysis.InterProcAnalysisPass<Unit>
    - - accrue.analysis.domination.DominationPass

- All Implemented Interfaces:
    polyglot.frontend.Pass

      public class DominationPass
      extends InterProcAnalysisPass<Unit>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DominationPass.Kind`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANALYSIS_RESULT_IMMED_DOMINATED_BY`
    `static java.lang.String` | `ANALYSIS_RESULT_IMMED_DOMINATOR_OF`
    `static java.lang.String` | `ANALYSIS_RESULT_IMMED_POST_DOMINATED_BY`
    `static java.lang.String` | `ANALYSIS_RESULT_IMMED_POST_DOMINATOR_OF`
    `DominationPass.Kind` | `kind`

    - ### Fields inherited from class accrue.analysis.interprocanalysis.InterProcAnalysisPass

      `extInfo, factory, registrar`

    - ### Fields inherited from class polyglot.frontend.AbstractPass

      `exclusive_time, goal, inclusive_time`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DominationPass` | `singleton(AccrueExtensionInfo extInfo, DominationPass.Kind kind, polyglot.frontend.goals.Goal g)`

    - ### Methods inherited from class accrue.analysis.interprocanalysis.InterProcAnalysisPass

      `createWorkQueue, extensionInfo, postSuccessfulProcess, registrar, run`

    - ### Methods inherited from class polyglot.frontend.AbstractPass

      `exclusiveTime, goal, inclusiveTime, name, resetTimers, toggleTimers, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ANALYSIS_RESULT_IMMED_POST_DOMINATOR_OF

          public static final java.lang.String ANALYSIS_RESULT_IMMED_POST_DOMINATOR_OF

      See Also:
        Constant Field Values

    - #### ANALYSIS_RESULT_IMMED_POST_DOMINATED_BY

          public static final java.lang.String ANALYSIS_RESULT_IMMED_POST_DOMINATED_BY

      See Also:
        Constant Field Values

    - #### ANALYSIS_RESULT_IMMED_DOMINATOR_OF

          public static final java.lang.String ANALYSIS_RESULT_IMMED_DOMINATOR_OF

      See Also:
        Constant Field Values

    - #### ANALYSIS_RESULT_IMMED_DOMINATED_BY

          public static final java.lang.String ANALYSIS_RESULT_IMMED_DOMINATED_BY

      See Also:
        Constant Field Values

    - #### kind

          public final DominationPass.Kind kind

  - ### Method Detail

    - #### singleton

          public static DominationPass singleton(AccrueExtensionInfo extInfo,
                                 DominationPass.Kind kind,
                                 polyglot.frontend.goals.Goal g)